Bug 201257 - [MAINTAINER-UPDATE] dns/knot2: update to 2.0.0
Summary: [MAINTAINER-UPDATE] dns/knot2: update to 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-01 18:41 UTC by Leo Vandewoestijne
Modified: 2015-08-07 08:10 UTC (History)
1 user (show)

See Also:


Attachments
rename knot to knot1 (459 bytes, patch)
2015-07-01 18:41 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
rename knot2 to knot (1.07 KB, patch)
2015-07-01 18:42 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
update knot1 (716 bytes, patch)
2015-08-06 12:59 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
update knot2 (1.67 KB, text/plain)
2015-08-06 13:00 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2015-07-01 18:41:19 UTC
Created attachment 158233 [details]
rename knot to knot1

The first release of Knot 2 came out this week. I'm not sure what's wisedome here, but I think either renaming knot to knot1 & renaming knot2 to knot is(?) OR keeping knot and knot2 (and in the far future knot3, ect.) is.
So by these I attach two patches for option 1.
Comment 1 Leo Vandewoestijne 2015-07-01 18:42:15 UTC
Created attachment 158234 [details]
rename knot2 to knot
Comment 2 Erwin Lansing freebsd_committer 2015-08-05 08:22:46 UTC
(In reply to Leo Vandewoestijne from comment #0)

Hi Leo,

It depends on what you think the users expect to be the default version, that should be the knot port.  I think the developers recommend knot2 as the default version, in which case you're right in renaming the current port to knot1 and knot2 to knot.  On the other hand, since the syntax of the configuration file changes, it might be better to leave knot2 as is to not surprise our users when they upgrade, and things suddenly break (at least, they would have to have a big warning in pkg-message), and maybe move knot to knot1 to not suggest it is the recommended port.  What do you think?

Erwin
Comment 3 Leo Vandewoestijne 2015-08-06 12:58:34 UTC
The new config syntax is exactly my concern, yes.
I didn't realize having no default is an option to, so yes, I think that the best solution.

Here's 2 new patches.
Comment 4 Leo Vandewoestijne 2015-08-06 12:59:30 UTC
Created attachment 159613 [details]
update knot1
Comment 5 Leo Vandewoestijne 2015-08-06 13:00:21 UTC
Created attachment 159614 [details]
update knot2
Comment 6 commit-hook freebsd_committer 2015-08-07 07:52:04 UTC
A commit references this bug:

Author: erwin
Date: Fri Aug  7 07:51:46 UTC 2015
New revision: 393685
URL: https://svnweb.freebsd.org/changeset/ports/393685

Log:
  Update to 2.0.0

  PR:		201257
  Submitted by:	Leo Vandewoestijne <freebsd@dns-lab.com>
  Sponsored by:	DK Hostmaster A/S

Changes:
  head/dns/knot2/Makefile
  head/dns/knot2/distinfo
  head/dns/knot2/files/pkg-message.in
Comment 7 Erwin Lansing freebsd_committer 2015-08-07 08:09:56 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2015-08-07 08:10:06 UTC
A commit references this bug:

Author: erwin
Date: Fri Aug  7 08:09:30 UTC 2015
New revision: 393687
URL: https://svnweb.freebsd.org/changeset/ports/393687

Log:
  Move dns/knot to knot1 now knot2 no longer is in beta.

  PR:		201257
  Submitted by:	Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)
  Sponsored by:	DK Hostmaster A/S

Changes:
  head/MOVED
  head/dns/Makefile
  head/dns/knot/
  head/dns/knot1/
  head/dns/knot1/Makefile